<?xml version="1.0" encoding="UTF-8"?>
<!--
  ~ Copyright (c) 2025, WSO2 LLC. (http://www.wso2.com) All Rights Reserved.
  ~
  ~ Licensed under the Apache License, Version 2.0 (the "License");
  ~ you may not use this file except in compliance with the License.
  ~ You may obtain a copy of the License at
  ~
  ~      http://www.apache.org/licenses/LICENSE-2.0
  ~
  ~ Unless required by applicable law or agreed to in writing, software
  ~ distributed under the License is distributed on an "AS IS" BASIS,
  ~ WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
  ~ See the License for the specific language governing permissions and
  ~ limitations under the License.
  -->

<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">

    <parent>
        <groupId>org.wso2.carbon.identity.migration.resources</groupId>
        <artifactId>identity-migration-resources</artifactId>
        <version>1.1.151</version>
        <relativePath>../../pom.xml</relativePath>
    </parent>

    <artifactId>org.wso2.is.tenant.key.migration.client</artifactId>
    <modelVersion>4.0.0</modelVersion>
    <packaging>bundle</packaging>

    <dependencies>
        <dependency>
            <groupId>org.wso2.carbon</groupId>
            <artifactId>org.wso2.carbon.core.services</artifactId>
        </dependency>
        <dependency>
            <groupId>org.wso2.carbon.identity.framework</groupId>
            <artifactId>org.wso2.carbon.identity.core</artifactId>
        </dependency>
        <dependency>
            <groupId>org.wso2.orbit.org.bouncycastle</groupId>
            <artifactId>bcprov-jdk18on</artifactId>
        </dependency>
        <dependency>
            <groupId>org.wso2.orbit.org.bouncycastle</groupId>
            <artifactId>bcpkix-jdk18on</artifactId>
        </dependency>
        <dependency>
            <groupId>org.wso2.orbit.org.yaml</groupId>
            <artifactId>snakeyaml</artifactId>
        </dependency>
    </dependencies>

    <build>
        <plugins>
            <plugin>
                <groupId>org.apache.felix</groupId>
                <artifactId>maven-bundle-plugin</artifactId>
                <extensions>true</extensions>
                <configuration>
                    <instructions>
                        <Bundle-SymbolicName>${project.artifactId}</Bundle-SymbolicName>
                        <Bundle-Name>${project.artifactId}</Bundle-Name>
                        <Private-Package>
                            org.wso2.is.tenant.key.migration.system.internal
                        </Private-Package>
                        <Import-Package>
                            org.osgi.framework; version="${osgi.framework.imp.pkg.version.range}",
                            org.osgi.service.component; version="${osgi.service.component.imp.pkg.version.range}",
                            org.apache.commons.logging; version="${version.commons.logging}",
                            org.wso2.carbon.registry.api,
                            org.slf4j,
                            org.wso2.carbon.user.core.service; version="${carbon.kernel.version.range}",
                            org.wso2.carbon.registry.core.service,
                            org.wso2.carbon.identity.core.util; version="${carbon.identity.framework.version.range}",
                            org.wso2.carbon.identity.base; version="${carbon.identity.framework.version.range}",
                            org.bouncycastle.operator; version="${bouncycastle.version.range}",
                            org.wso2.carbon.registry.core.exceptions,
                            org.wso2.carbon.core.util; version="${carbon.kernel.version.range}",
                            org.wso2.carbon.user.api,
                            org.wso2.carbon.user.core.tenant; version="${carbon.kernel.version.range}",
                            org.wso2.carbon.context; version="${carbon.kernel.version.range}",
                            org.bouncycastle.crypto.util; version="${bouncycastle.version.range}",
                            org.bouncycastle.asn1.x509; version="${bouncycastle.version.range}",
                            org.bouncycastle.operator.bc; version="${bouncycastle.version.range}",
                            org.bouncycastle.cert; version="${bouncycastle.version.range}",
                            org.bouncycastle.asn1.x500; version="${bouncycastle.version.range}",
                            org.bouncycastle.cert.jcajce; version="${bouncycastle.version.range}",
                            org.apache.axiom.om.util
                        </Import-Package>
                        <Export-Package>
                            !org.wso2.is.tenant.key.migration.system.internal,
                            org.wso2.is.tenant.key.migration.system.*,
                        </Export-Package>
                        <Embed-Dependency>
                            snakeyaml
                        </Embed-Dependency>
                    </instructions>
                </configuration>
            </plugin>
        </plugins>
    </build>
    <properties>
        <carbon.identity.framework.version.range>[5.0.0, 8.0.0]</carbon.identity.framework.version.range>
        <carbon.kernel.version.range>[4.4.0,5.0.0]</carbon.kernel.version.range>
        <bouncycastle.version.range>[1.52.0,2.0.0]</bouncycastle.version.range>
    </properties>

</project>
